#!/bin/bash
while [ ! -S /run/clamav/clamd.ctl ];
do
sleep 1;
done
LOG_FILE=/var/log/clamav/clamonacc.log
DATE=$(date +%F)
if [ -e $LOG_FILE ]; then
	FILE_SIZE=$(du -m $LOG_FILE | cut -f1)
	if [ "$FILE_SIZE" -ge 100 ]; then
		echo "=========" >> $LOG_FILE
		echo "Clamonacc end log: $DATE" >> $LOG_FILE
		echo "=========" >> $LOG_FILE
		gzip -c $LOG_FILE > $LOG_FILE."$DATE".gz
		rm $LOG_FILE
		echo "=========" > $LOG_FILE
		echo "Clamonacc begin log: $DATE" >> $LOG_FILE
		echo "=========" >> $LOG_FILE
		LIMIT_LOG=5
		LIMIT_COUNT="$(find /var/log/clamav/clamonacc.log.*.gz  2>/dev/null |sort|uniq|wc -l)"
		if [ "$LIMIT_COUNT" -gt $LIMIT_LOG ]; then
			let 'DELTA_LIMIT = LIMIT_COUNT-LIMIT_LOG'
			for i in $(find /var/log/clamav/clamonacc.log.*.gz |sort|uniq|head -n $DELTA_LIMIT); do
			   rm "$i"
			done
		fi
	fi
	else
		echo "=========" > $LOG_FILE
		echo "Clamonacc begin log: $DATE" >> $LOG_FILE
		echo "=========" >> $LOG_FILE
fi
/usr/bin/nice -n 19 /usr/bin/ionice -c2 -n7 /usr/bin/clamonacc -F --config-file=/etc/clamav/clamd.conf --log=/var/log/clamav/clamonacc.log --move=/tmp > /dev/null 2>&1

